## ros-kinetic-rtmros-common 1.4.2

=== debian/changelog ===
ros-kinetic-rtmros-common (1.4.2-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 22 Dec 2017 00:00:00 -0000

ros-kinetic-rtmros-common (1.4.1-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 25 Oct 2017 00:00:00 -0000

ros-kinetic-rtmros-common (1.4.0-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 09 Aug 2017 00:00:00 -0000

ros-kinetic-rtmros-common (1.3.3-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 12 Feb 2017 00:00:00 -0000

ros-kinetic-rtmros-common (1.3.2-0xenial) xenial; urgency=high

  * [fix][openrtm_ros_bridge] Fix genjava problem build_depend message_generation
  * [fix][hrpsys_ros_bridge] HrpsysSeqStateROSBridgeImpl.cpp: sensor->localR is world coords
  * [fix][rtm-ros-robot-interface.l] add time constant prameter according to upstream idl update
  * [fix] getFootStepParam interface according to upstream change. Remove rleg_coords and lleg_coords.
  * [feat] [hrpsys_ros_bridge/test/test-samplerobot.py] add test programs to check frame_id of off_xxsensor and ref_xxsensor (#940)
  * [feat] Set /robot/type param according to lower-case robot name such as samplerobot.
  * [feat] [hrpsys_ros_bridge/test/test-samplerobot.*] add a test program for init of hcf
  * [feat] fix collision visualization, color of sphere will be purple if collision occur
  * [feat] .travis.yml : add test when old hrpsys-ros-bridge exists (#929)
  * [feat] [hrpsys_ros_bridge/euslisp/rtm-ros-robot-interface.l] Add check for param existence for def-set-get-param-method to neglect idl mismatch error. Fix indent. (#933)
  * [feat] [hrpsys_ros_bridge/euslisp/rtm-ros-robot-interface.l] Add reference force updater euslisp methods.
  * [feat] [hrpsys_ros_bridge/euslisp/rtm-ros-robot-interface.l] Add object turnaround detector moment version interface.l
  * [feat] Add more CORBA exception information. Add BAD_PARAM, MARSHAL, and OBJECT_NOT_EXIST checking. Add minor code printing and possible case assumption.
  * [feat][openrtm_tools] Enable to set push_policy and push_rate for DataPorts from hrpsys_ros_bridge.launch argument. Use all and 50.0 by default to keep backward compatibility.
  * [feat][openrtm_tools] Enable to set subscription_type for DataPorts from hrpsys_ros_bridge.launch argument. Use new by default to keep backward compatibility.
  * [feat][hrpsys_tools] add ReferenceForceUpdater
  * [feat] enable virtual force in HrpsysSeqStateROSBridgeImpl
  * [feat] Enable to set subscription_type for DataPorts from hrpsys_ros_bridge.launch argument. Use new by default to keep backward compatibility.
  * [feat] Add loading of optionalData from seq pattern file.
  * [feat] add time constant prameter according to upstream idl update
  * [feat] Add HrpsysSeqStateROSBridge tf rate test
  * [feat] Add define controller #887 <https://github.com/start-jsk/rtmros_common/issues/887>
  * [feat] Add leg limb controller setting.
  * [feat] Add method to define joint trajectory controller by default setting.
  * [feat] Add gopos overwrite and graspless manip mode to all demos
  * [feat] Add example for graspless manip mode and gopos overwrite.
  * [feat] Add euslisp interface for graspless manip mode.
  * [feat] add a set-default-step-time-with-the-same-swing-time method
  * [doc] default documentation string for def-set-get-param-method setter and getter.
  * [doc] In-code documentation improvement
  * Contributors: Eisoku Kuroiwa, Kei Okada, Kentaro Wada, Masaki Murooka, Shunichi Nozawa, Koyama Ryo, Yohei Kakiuchi, Yu Ohara, Iori Kuroiwa, Isaac I.Y. Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 26 Apr 2016 00:00:00 -0000

ros-kinetic-rtmros-common (1.3.1-0xenial) xenial; urgency=high

  * deb release only targeting to indigo

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 16 Dec 2015 00:00:00 -0000

ros-kinetic-rtmros-common (1.3.0-0xenial) xenial; urgency=high

  * deb release only targeting to indigo

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 09 Dec 2015 00:00:00 -0000

ros-kinetic-rtmros-common (1.2.14-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 23 Jun 2015 00:00:00 -0000

ros-kinetic-rtmros-common (1.2.13-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 11 Jun 2015 00:00:00 -0000

ros-kinetic-rtmros-common (1.2.12-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 27 Apr 2015 00:00:00 -0000

ros-kinetic-rtmros-common (1.2.11-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 25 Apr 2015 00:00:00 -0000

ros-kinetic-rtmros-common (1.2.10-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 24 Apr 2015 00:00:00 -0000

ros-kinetic-rtmros-common (1.2.9-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 11 Apr 2015 00:00:00 -0000

ros-kinetic-rtmros-common (1.2.8-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 09 Mar 2015 00:00:00 -0000

ros-kinetic-rtmros-common (1.2.7-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2015 00:00:00 -0000

ros-kinetic-rtmros-common (1.2.6-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 10 Oct 2014 00:00:00 -0000

ros-kinetic-rtmros-common (1.2.5-0xenial) xenial; urgency=high

  * Improvement on rtm-ros-robot-interface, datalogger-log-parser, samplerobot
  * Fix stamp of odom and imu
  * Improve dependency: robot_pose_ekf.launch, robot_pose_ekf
  * Add depend on std_msgs
  * Contributors: Kei Okada, Shunichi Nozawa, Yohei Kakiuchi

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 04 Oct 2014 00:00:00 -0000

ros-kinetic-rtmros-common (1.2.4-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 08 Sep 2014 00:00:00 -0000

ros-kinetic-rtmros-common (1.2.3-0xenial) xenial; urgency=high




